// 	TorusGamesHelpController.h
//
//	© 2010 by Jeff Weeks
//	See TermsOfUse.txt

#import "TorusGamesTabPageController.h"
#import "TorusGames-Common.h"	//	for GameType


@interface TorusGamesHelpController : TorusGamesTabPageController <UITableViewDelegate, UITableViewDataSource>
{
	GameType	*itsGameChoice;
}

- (id)initWithParent:	(TorusGamesTabBarController *)aParent
		gameChoice:		(GameType *)aGameChoice
		filler:			(unsigned int)aDummyValue;	//	If TorusGamesHelpController and TorusGamesGameChoiceController
													//	have methods with the same name, the compiler gets confused.

- (NSInteger)numberOfSectionsInTableView:(UITableView *)aTableView;
- (NSString *)tableView:(UITableView *)aTableView titleForHeaderInSection:(NSInteger)aSection;
- (NSInteger)tableView:(UITableView *)aTableView numberOfRowsInSection:(NSInteger)aSection;
- (UITableViewCell *)tableView:(UITableView *)aTableView cellForRowAtIndexPath:(NSIndexPath *)anIndexPath;
- (NSIndexPath *)tableView:(UITableView *)aTableView willSelectRowAtIndexPath:(NSIndexPath *)anIndexPath;

@end
