// 	TorusGamesLanguageController.h
//
//	© 2010 by Jeff Weeks
//	See TermsOfUse.txt

#import "TorusGamesTabPageController.h"


@interface TorusGamesLanguageController : TorusGamesTabPageController <UITableViewDelegate, UITableViewDataSource>
{
	char	*itsLanguageChoice;
}

- (id)initWithParent:(TorusGamesTabBarController *)aParent language:(char [3])aLanguageChoice;

- (NSInteger)numberOfSectionsInTableView:(UITableView *)aTableView;
- (NSString *)tableView:(UITableView *)aTableView titleForHeaderInSection:(NSInteger)aSection;
- (NSInteger)tableView:(UITableView *)aTableView numberOfRowsInSection:(NSInteger)aSection;
- (UITableViewCell *)tableView:(UITableView *)aTableView cellForRowAtIndexPath:(NSIndexPath *)anIndexPath;
- (NSIndexPath *)tableView:(UITableView *)aTableView willSelectRowAtIndexPath:(NSIndexPath *)anIndexPath;

@end
