// 	TorusGamesOptionsController.h
//
//	© 2010 by Jeff Weeks
//	See TermsOfUse.txt

#import "TorusGamesTabPageController.h"
#import "TorusGames-Common.h"	//	for GameType and TopologyType


@interface TorusGamesOptionsController : TorusGamesTabPageController <UITableViewDelegate, UITableViewDataSource>
{
	GameType		itsGame;
	TopologyType	*itsTopologyChoice;
	bool			*itsHumanVsComputerChoice;
}

- (id)initWithParent:(TorusGamesTabBarController *)aParent game:(GameType)aGame topologyChoice:(TopologyType *)aTopologyChoice humanVsComputerChoice:(bool *)aHumanVsComputerChoice;

- (NSInteger)numberOfSectionsInTableView:(UITableView *)aTableView;
- (NSString *)tableView:(UITableView *)aTableView titleForHeaderInSection:(NSInteger)aSection;
- (NSInteger)tableView:(UITableView *)aTableView numberOfRowsInSection:(NSInteger)aSection;
- (UITableViewCell *)tableView:(UITableView *)aTableView cellForRowAtIndexPath:(NSIndexPath *)anIndexPath;
- (NSIndexPath *)tableView:(UITableView *)aTableView willSelectRowAtIndexPath:(NSIndexPath *)anIndexPath;

@end
